Package org.apache.sysds.parser

# Class ParserFactory

java.lang.Object
org.apache.sysds.parser.ParserFactory

public class ParserFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`ParserFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ParserWrapper`
`createParser()`
`static ParserWrapper`
`createParser(Map<String,String> nsscripts)`
Factory method for creating parser wrappers

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParserFactory

public ParserFactory()

## Method Details

### createParser

public static ParserWrapper createParser()

### createParser

public static ParserWrapper createParser(Map<String,String> nsscripts)
Factory method for creating parser wrappers

Parameters:
  `nsscripts` - map of namespace scripts (name, script)
Returns:
  parser wrapper (DMLParserWrapper or PyDMLParserWrapper)